> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Status

> This Operation allows you to check the status of a transaction via the status check api. This is done by making a Get request to the endpoint below with your payment reference.



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml get /payments/query/STG10948E242065R569A22tAQM85EQW4
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /payments/query/STG10948E242065R569A22tAQM85EQW4:
    get:
      tags:
        - CARD
      summary: Check Status
      description: >-
        This Operation allows you to check the status of a transaction via the
        status check api. This is done by making a Get request to the endpoint
        below with your payment reference.
      operationId: CheckStatus
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckStatusResponse'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/404Response'
                CreateOrder400Response1:
                  $ref: '#/components/examples/404Response1'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
                500Response4:
                  $ref: '#/components/examples/500Response4'
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    CheckStatusResponse:
      title: CheckStatusResponse
      type: object
      example:
        status: SUCCESS
        data:
          code: S20
          payments:
            redirectLink: http://checkout-seerbit.surge.sh
            amount: 100
            internationalChargedAmount: 155.2
            mobilenumber: 8033456599
            publicKey: SBTESTPUBK_PjQ5dFOi522L383MlsQYUMAe6cZYviTF
            paymentType: CARD
            productId: Foods
            productDescription: RASPBERRY
            maskedPan: 5123-45xx-xxxx-0008
            gatewayMessage: Transaction is pending
            gatewayCode: S20
            gatewayref: F002672971602775508582
            mode: test
            redirecturl: http://checkout-seerbit.surge.sh
            channelType: Mastercard
            sourceIP: 127.0.0.1:3456
            deviceType: Apple Laptop
            cardBin: '512345'
            lastFourDigits: '0008'
            type: 3DSECURE
            country: NG
            currency: NGN
            paymentReference: SSQ22POtAQMVC85EQWB8
            processorCode: S20
            processorMessage: Transaction is pending
            reason: Transaction is pending
          customers:
            customerId: SBTfd3024f89b67e2f8a121
            customerName: Kola Victor
            customerMobile: 8033456599
            customerEmail: kolawole@gmail.com
          message: Transaction is pending
  examples:
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    404Response:
      summary: An example of 404 response payload
      value:
        error: Not Found
    404Response1:
      summary: An example of 404 response payload
      value:
        message: Not Found
        error: The server can not find the requested resource
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
    500Response4:
      summary: An example of 500 response payload
      value:
        message: No transaction found
        error: PROCESSING
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.